Sacred для Linux

Кто не знает отличную игрушку в стиле RPG под названием Sacred? Помню, как когда-то давно фанатея играл в нее под виндой. А теперь вот увидел и версию для Линукса, решил установить, посмотреть =)
Не пожалел, игра встала на Linux изумительно! Без всяких косяков, без багов, русифицированная версия. Речь, правда, английская, но текст везде русский. Итак, кто желает поиграть в эту прекрасную игрушку, непременно качаем, ставим и играем в свое удовольствие =)

Где скачать?

Скачиваем данный торрент.

Как установить?

Заходим в папку со скачанной игрой, в консоли запускаем скрипт установки:

sh ./setup.sh

Перед нами появится окно инсталлятора LGP_Update, жмем «Begin Install»:

После его установки также появится окно инсталлятора деинсталлятора (извините за каламбур), устанавливаем и его. И, наконец, последнее окно установки - сама игра:

Выбираем пути установки, галочкой отмечаем пункт для установки русификатора, и нажимаем на кнопку установки. Установка на моем ноутбуке длилась 4 минуты.

Как запустить?

Для запуска программы переходим в каталог с установленной игрой (если не изменяли путь установки, то по умолчанию это домашняя директория и папка sacred), в котором запускаем бинарный файл sacred. В появившемся окне нас попросят ввести лицензионный ключ игры, вводим любые 19 символов (например, «1234567890123456789»):

В следующем окне нужно ввести пароль (любой):

Далее нажимаем «Start Game»:

Перед нами появится окно настроек. Выбираем нужное (полноэкранный режим, проигрывание мультимедийных роликов, 32-битная глубина цвета, анти-алиазинг [сглаживание], создание файла логов, включение звука). После настройки нажимаем «Launch»:

Все, мы в игре =) Сначала будет несколько роликов-заставок, после чего мы увидим меню игры:

А вот и сам игровой процесс:

Ну, у меня не совсем стандартное разрешение монитора, широкоэкранный дисплей, поэтому часть окна уползает за экран =) Плюс ко всему, у меня далеко не игровой компьютер, и игрушка, мягко говоря, не для моей видеокарты, в которой под Linux используется только 256 MB видеопамяти (под Windows добирает еще до 1533 MB из оперативной памяти), из-за этого Sacred чуть-чуть подтормаживает, а сенсоры температуры показывают результаты до 85 градусов по Цельсию. У меня порог 89 градусов, после чего идет завершение работы, поэтому долго тестировать игрушку не стал.

Вот, собственно, и все =) Удачной игры!

Комментарии

Аватар пользователя lewe

sh ./setup.sh не запускалось
bash /setup.sh запустило инсталятор
инсталятор самой игры так и не появился, что не так?

Аватар пользователя del

sh ./setup.sh не запускалось

в директорию с игрой зашли?

Аватар пользователя kve1989

Кстати тоже проблема с установкой была и так не решилась, в начале инсталл LGP_Update, далее был LGP_Uninstall и все больше ни чего!

Аватар пользователя del

Кстати тоже проблема с установкой была и так не решилась, в начале инсталл LGP_Update, далее был LGP_Uninstall и все больше ни чего!

То есть устанавливается деинсталлятор, и больше ничего? Странно. Данную статью я писал по мере установки игры, скриншоты тоже прилагал соответственные, никаких проблем не возникало. Попробуйте почитать тему на трекере, возможно, там описана подобная проблема, у меня все прошло просто идеально.

Аватар пользователя kve1989

Послушался совета и нашел, что искал.
Мне помогли следующие тупые телодвижения:

cd "Downloads/Sacred Gold/.data"
chmod a+x "setup.data/bin/Linux/x86/setup.gtk"
./setup.data/bin/Linux/x86/setup.gtk

Текущая папка при запуски setup.gtk должна быть .data

Аватар пользователя zzz

5 баллов та-же фигня была. зделал как написано все работает

Аватар пользователя del

У меня, к сожалению, под рукой уже нет ни игры, ни инсталлятора, не могу проверить. Однако, смена директории, наверное, пишется без кавычек, правда? =) В остальном же, могу сказать лишь, что для проверки правильности пути (а именно наличия необходимых файлов) можно использовать листинг файлов (команду ls).

Аватар пользователя lewe

мну эти телодвижения что с кавычками что без кавычек, не помогли

Аватар пользователя lewe

по сабжу. на втором инсталяторе одни крокозябровые, кроме begin install который не активен

Аватар пользователя del

Ух, что-то вы мне страсти какие-то рассказываете.
Вот, нашел инсталлятор (оказывается, не удалил я его еще), можно сказать "при вас" установил заново:
http://www.onlinedisk.ru/view/560583
http://www.onlinedisk.ru/view/560584
http://www.onlinedisk.ru/view/560587
http://www.onlinedisk.ru/view/560589
http://www.onlinedisk.ru/view/560590
http://www.onlinedisk.ru/view/560591
http://www.onlinedisk.ru/view/560592
http://www.onlinedisk.ru/view/560593

Все как по маслу. Правда, по нажатию "Start" она не запустилась (как и в прошлый раз), запускается она по мануалу, приведенному выше (после пункта установки).
В чем у вас возникает проблема, я так и не могу понять.
З.Ы. На положение курсора на скринах внимание не обращайте (все-таки, не для статьи скриншоты сейчас делал, за положением курсора не следил), везде нужно жать "Install" или "Begin Install".

Аватар пользователя del

lewe, это уже с кодировкой проблемы какие-то) Так установка дальше не идет совсем? (ориентируясь на мои скриншоты, можете нажимать нужные кнопки?)

Аватар пользователя lewe

там в терминале ошибка,
в мнсталяторе кнопка бегин инсталл не активна

Аватар пользователя del

Как-то странно Вы все делаете... Есть же кнопочка Print Screen, зачем фотографировать монитор?) В терминале вижу одну ошибку, не находит модуль, что пишет выше? Можно просто скопировать текст из консоли и дать мне на него ссылку, вставив его (текст), например, на pastebin.com?
Посмотрю с утра. Возможно, сами сможете найти решение на странице обсуждения торрента (ссылка в начале статьи), там у многих возникали проблемы с модулями, насколько я вижу по первым двум страницам обсуждений.

Аватар пользователя lewe
xxx@xxxx:/media/Data/Downloads/Games/Sacred$ sh ./setup.sh
LGP Update Tool not found, running installation program
Continuing with install ...
LGP Uninstall Tool not found, running installation program

Gtk-WARNING **: Failed to load module "libcanberra-gtk-module.so": libcanberra-gtk-module.so: невозможно открыть разделяемый объектный файл: Нет такого файла или каталога

это усе

Аватар пользователя del

lewe, попробуйте ввести в консоли следующее:

sudo chmod -x /etc/X11/Xsession.d/52libcanberra-gtk-module_add-to-gtk-modules

После чего повторите установку.

Аватар пользователя lewe

это еще вчера пытался, до того как сюда писать

Аватар пользователя del

это еще вчера пытался, до того как сюда писать

гляньте, установлен ли у Вас этот модуль:

apt-get search libcanberra

Если нет, установите.

Аватар пользователя del

все равно

хм... тогда у меня уже мыслей по этому поводу нет, если честно. Возможно, в 10-й версии убунты что-то изменили, установку я проводил на Linux Mint 9, а это Ubuntu 10.04...

Аватар пользователя kve1989

lewe , было так же как и у тебя, попробуй сделать так как я описывал выше.
1. Переходим в папку .data

cd /путь до папки/Sacred Gold/.data

2. Делаем файл setup.gtk запускаемым

chmod a+x setup.data/bin/Linux/x86/setup.gtk

3. Запускаем этот самый setup.gtk (учитываем, что запуск производится из папки .data)

./setup.data/bin/Linux/x86/setup.gtk

Благодаря таким действиям, у меня на Ubuntu 10.10 запустилось окно установщика игры, правда там, что то с кодировкой не так, но опираясь на скрины, которые тут имеются можно установить игру.
З.Ы. Запуск всех команд в терминале производятся от обычного пользователя.

Аватар пользователя lewe

kve1989 да, твой способ теперь сработал

Аватар пользователя kve1989

Интересно то, что в Linux Mint 9 Isadora все нормально отображется и запускается, ни каких нареканий нету.

Аватар пользователя del

Интересно то, что в Linux Mint 9 Isadora все нормально отображется и запускается, ни каких нареканий нету.

Да, об этом я уже писал выше. Думается, в Ubuntu 10.04 тоже все пройдет без ошибок.

Аватар пользователя kve1989

Думается, в Ubuntu 10.04 тоже все пройдет без ошибок.

Подтверждаю,в Ubuntu 10.04.1 LTS полет нормальный.

Аватар пользователя del

Подтверждаю,в Ubuntu 10.04.1 LTS полет нормальный.

Ну, значит в 10.10 что-то в пакетах изменили.

Аватар пользователя neolid

Спасибо огромное. Всё отлично сработало на Fedora Core 11 и на Ubuntu 9.10.

Аватар пользователя del

Всё отлично сработало на Fedora Core 11 и на Ubuntu 9.10.

Спасибо за отзыв! Теперь буду знать, что в этих системах все прекрасно устанавливается =)

Аватар пользователя Игорь

Как я понял на 64-х битной системе не работает?

Аватар пользователя del

Как я понял на 64-х битной системе не работает?

Не проверял. У Вас не запустилось на 64-битной ОС?

Аватар пользователя Игорь

Так в этом треде писали же

rutracker.org/forum/viewtopic.php?t=1892343

не помогло
причем вообще без объяснения падает
может библиотеки какой не хавтает?

Аватар пользователя Игорь

Не проверял. У Вас не запустилось на 64-битной ОС?

Нет. Не запустилось. Установилось без проблем. Заставку проходит...и засим облом

Аватар пользователя Игорь

Так в этом треде писали же

rutracker.org/forum/viewtopic.php?t=1892343

о! спасибо. попробую

Аватар пользователя pythow

Что-то мне тоже разонравились 64-битные дистрибутивы:)

Аватар пользователя kve1989

не помогло
причем вообще без объяснения падает
причем вообще без объяснения падает
может библиотеки какой не хавтает?

Запусти из консоли и посмотри, что там пишеться!!!

Аватар пользователя neolid

не помогло
причем вообще без объяснения падает
может библиотеки какой не хавтает?

Признаться, сам я не пробовал. У меня 32-битные дистры.

Аватар пользователя Destr

Куда LGP пароли пишет?
переустановил игру, а он меня помнит и ненавилдит, и гоблинов гонять не пускает..

Аватар пользователя del

Куда LGP пароли пишет?

без понятия) в домашней не искали?

Аватар пользователя Destr

В домашней чисто-пусто, GConf чистил, куда оно еще могло что отложить ума не приложу.

Аватар пользователя del

В домашней чисто-пусто, GConf чистил, куда оно еще могло что отложить ума не приложу.

Честно, не знаю. Игра не установлена сейчас. Попробуйте поискать через locate lgp

Аватар пользователя Destr

Ладно, может потом пойму в чем соль.

что на счет смены разрешения?
и какие команды на консоль есть. help весьма скуп

Аватар пользователя del

Destr, я не особо долго рассматривал эту игру, т.к. моя видеокарточка не рассчитана для работы в Linux (вернее, просто в линуксе у нее 256 мб видео памяти, в windows же драйвер позволяет использовать Hyper Cache и забирать до 1.5 гб из ОЗУ), поэтому при старте игрушек и других ресурсоемких задач ноут перегревается. Так что долго игру я не тестил, а теперь перешел на генту, и здесь ее не устанавливал, поэтому по игре помочь не смогу. Попробуйте задать интересующие вопросы в треде на рутрекере.

Аватар пользователя Destr

Ясно, но всеравно спасибо )

Аватар пользователя Kriks

У меня в папке Sacred Gold нету папки .data. Что делать? kve1989 твой метод не работает соответственно

Аватар пользователя Sanyer

Хохма, в том, что оно плохо работает из-за GNOME'a.
В новом Ubuntu 10.x Mint 11 GNOME не полностью установлен. Из-за этого и нет оформления и собственно, запуска установщика.
Увы, но это только гипотеза.

Аватар пользователя eemilen

хе-хей!)
скажите, пожалуйста, можно ли как-нибудь урезать потребляемые игрой ресурсы?
у меня нетбук, последняя убунту, а также гигантское желание поиграть в свою самую любимую игру.))
саму игру установила, с этим без проблем... но курсор дико отстаёт от реальности.(
выставила все настройки по минимуму, с титаническим терпением подводя курсор к нужным менюшкам... это не помогло.
хелп ми, плиз.

Аватар пользователя del

Если у игры есть определенные минимальные требования, занизить их никак не получится. В минимальных требованиях указан процессор 2.4 GHz, в оптимальных - 2 ядра по 2.0 GHz, на нетбуках обычно 1 ядро на 1.66 GHz. И что Вы хотите?

Аватар пользователя del

Ну, у меня на нетбуке задействована технология двухъядерного процессора от Intel, которая на самом деле прироста дает минимум, т.к. это виртуальные ядра, а реально ядро все равно одно.

Аватар пользователя Гость

на нетбук последнюю ubuntu это жестоко. начнем с того что интерфейс unity ubuntu сам по себе жрет ресурсы не слабо. попробуйте переключится в обычный режим. навскидку не вспомню где это, где-то в настройках. вечером скажу точней

Аватар пользователя Гость

запилил себе на gentoo. все по максимуму. сижу кайфую  

Аватар пользователя Алексей

Если в игре вы заметили, что игра несколько раз в секунду замирает (кажется, что ей не хватает мощности компьютера, постоянно лагает) то проблема заключается в библиотеках, размещенных в директории {sacred}/lib/lib1. Конкретно, в библиотеке libz.so.1. Игра ее использует для распаковки загружаемых ресурсов игры (из папки pak). Игра это делает чаще всего остального.
Похоже, игра использует старую версию библиотеки или библиотеку которая скомпилирована без оптимизаций. Нужно или удалить ее, чтобы игра искала библиотеку, установленную в системе или заменить файл. У меня Ubuntu 16.04, установил zlib1g:i386, удалил libz.so.1 из {sacred}/lib/lib1. Игра стала работать гораздо лучше. Кроме того, произвел такое же действие с файлами libfreetype.so (шрифты стали выглядеть лучше), libgcc_s.so и libstdc++.so.
Попробуйте поэкспериментировать. Удалять файлы необязательно, достаточно переименования.

Аватар пользователя Дмитрий

Добрый день!

Игру установил, но не хочет запускаться. Ошибку не выдает, просто после нажатия "старт гейм" - ничего не происходит.

У меня стоит убунту 16.04 лтс.

Кто сталкивался с такой проблемой и как её решить?

Заранее благодарен.

Добавить комментарий